summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072020-12-04 17:28:31 +0100
committersL1pKn072020-12-04 17:28:31 +0100
commit50462528745da57a389e6fb2d4a9e0cb4cf9d159 (patch)
treea72b10fb2f06cd256feb7fc038f7bffbf82624c6
parentd049f33fb4482d71281dcc036b28291bf1468d5e (diff)
downloadaur-50462528745da57a389e6fb2d4a9e0cb4cf9d159.tar.gz
bump
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD21
2 files changed, 18 insertions, 20 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 42b315782b0..535774b1777 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pipewire-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (GIT version)
- pkgver = 0.3.17.35.g3c2ab98a
+ pkgver = 0.3.17.51.gc6663b6a
pkgrel = 1
url = https://pipewire.org
arch = x86_64
@@ -14,7 +14,6 @@ pkgbase = pipewire-git
makedepends = jack2
makedepends = libpulse
makedepends = alsa-lib
- makedepends = ffmpeg
makedepends = sbc
makedepends = rtkit
makedepends = vulkan-icd-loader
@@ -22,24 +21,23 @@ pkgbase = pipewire-git
makedepends = libsndfile
makedepends = bluez-libs
makedepends = vulkan-headers
+ makedepends = libldac
+ makedepends = ffmpeg
source = git+https://gitlab.freedesktop.org/pipewire/pipewire.git
sha256sums = SKIP
pkgname = pipewire-git
install = pipewire-git.install
- depends = ffmpeg
- depends = sbc
depends = rtkit
depends = vulkan-icd-loader
- depends = bluez-libs
depends = alsa-card-profiles
- depends = libdbus-1.so
depends = libsndfile.so
depends = libudev.so
depends = libasound.so
depends = libsystemd.so
- depends = libglib-2.0.so
- depends = libgobject-2.0.so
+ depends = libdbus-1.so
+ depends = sbc
+ depends = libldac
optdepends = pipewire-docs-git: Documentation
optdepends = pipewire-jack-git: JACK support
optdepends = pipewire-alsa-git: ALSA support
@@ -75,8 +73,8 @@ pkgname = pipewire-alsa-git
pkgname = pipewire-pulse-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)
install = pipewire-pulse.install
+ arch = any
depends = pipewire
- depends = libpipewire-0.3.so
depends = libpulse
provides = pipewire-pulse
provides = pulseaudio
@@ -87,6 +85,7 @@ pkgname = pipewire-pulse-git
pkgname = pipewire-ffmpeg-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (FFmpeg SPA plugin)(GIT version)
+ depends = pipewire
depends = libpipewire-0.3.so
depends = ffmpeg
provides = pipewire-ffmpeg
diff --git a/PKGBUILD b/PKGBUILD
index d341401cc1b..c1cef8d1adc 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@ pkgname=('pipewire-git'
'pipewire-pulse-git'
'pipewire-ffmpeg-git'
)
-pkgver=0.3.17.35.g3c2ab98a
+pkgver=0.3.17.51.gc6663b6a
pkgrel=1
pkgdesc='Server and user space API to deal with multimedia pipelines. (GIT version)'
arch=('x86_64')
@@ -21,7 +21,6 @@ makedepends=('git'
'jack2'
'libpulse'
'alsa-lib'
- 'ffmpeg'
'sbc'
'rtkit'
'vulkan-icd-loader'
@@ -29,6 +28,8 @@ makedepends=('git'
'libsndfile'
'bluez-libs'
'vulkan-headers'
+ 'libldac'
+ 'ffmpeg'
)
source=('git+https://gitlab.freedesktop.org/pipewire/pipewire.git')
sha256sums=('SKIP')
@@ -77,19 +78,17 @@ _pick() {
}
package_pipewire-git() {
- depends=('ffmpeg'
- 'sbc'
+ depends=(
'rtkit'
'vulkan-icd-loader'
- 'bluez-libs'
'alsa-card-profiles'
- 'libdbus-1.so'
'libsndfile.so'
'libudev.so'
'libasound.so'
'libsystemd.so'
- 'libglib-2.0.so'
- 'libgobject-2.0.so'
+ 'libdbus-1.so'
+ 'sbc'
+ 'libldac'
)
optdepends=('pipewire-docs-git: Documentation'
'pipewire-jack-git: JACK support'
@@ -121,7 +120,6 @@ package_pipewire-git() {
# Use alsa-card-profiles built with Pulseaudio
rm -rv "$pkgdir"/usr/share/alsa-card-profile
- _pick pulse usr/bin/pipewire-pulse usr/lib/systemd/user/pipewire-pulse*
_pick pulse etc/pipewire/media-session.d/with-pulseaudio
_pick ffmpeg usr/lib/spa-0.2/ffmpeg/libspa-ffmpeg.so
@@ -165,7 +163,6 @@ package_pipewire-alsa-git() {
package_pipewire-pulse-git() {
pkgdesc='Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)'
depends=('pipewire'
- "libpipewire-${pkgver:0:3}.so"
'libpulse'
)
provides=('pipewire-pulse'
@@ -176,6 +173,7 @@ package_pipewire-pulse-git() {
'pulseaudio'
'pulseaudio-bluetooth'
)
+ arch=('any')
install=pipewire-pulse.install
mv pulse/* "${pkgdir}"
@@ -183,7 +181,8 @@ package_pipewire-pulse-git() {
package_pipewire-ffmpeg-git() {
pkgdesc='Server and user space API to deal with multimedia pipelines. (FFmpeg SPA plugin)(GIT version)'
- depends=("libpipewire-${pkgver:0:3}.so"
+ depends=('pipewire'
+ "libpipewire-${pkgver:0:3}.so"
'ffmpeg'
)
provides=('pipewire-ffmpeg')